#ifndef __ASTYLE_WIDGET_H__
#define __ASTYLE_WIDGET_H__

#include "astyleconfig.h"

class AStylePart;
class KDevPart;


class AStyleWidget : public AStyleConfig
{
  TQ_OBJECT
  

public:

  AStyleWidget( AStylePart * part, bool global, TQWidget *parent=0, const char *name=0 );
  ~AStyleWidget();


public slots:

  void accept();


private slots:
  void styleChanged();

private:
	AStylePart * m_part;
	bool isGlobalWidget;
	TQString m_lastExt;
	bool globalOptions;
};


#endif
